# Class CreateUploadUrlRequest

java.lang.Object
com.databricks.jdbc.model.client.filesystem.CreateUploadUrlRequest

public class CreateUploadUrlRequest extends Object
CreateUploadUrlRequest POJO

## Constructor Summary

Constructors
Constructor
Description
`CreateUploadUrlRequest(String path)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`String`
`getPath()`
`void`
`setPath(String path)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CreateUploadUrlRequest

public CreateUploadUrlRequest(String path)

## Method Details

### getPath

public String getPath()

### setPath

public void setPath(String path)

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`